#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#
#
#
# Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T.
# All rights reserved.
# Copyright 2015 Nexenta Systems, Inc. All rights reserved.
#
#
# locally. This is an optimization as svc-dumpadm will attempt do this later.
#
{
[ -r /etc/dumpadm.conf ] && . /etc/dumpadm.conf
#
# Make sure that the dump save area has been configured before
# proceeding. If the variable has not been defined or does not exist
# then bail out early. This will prevent us from configuring a
# dump save area before a hostname has been configured (i.e after
# sys-unconfig has been invoked).
#
#
# If we have a dedicated dump device, then go ahead and configure it.
#
if [ -x /usr/sbin/dumpadm -a -b $DUMPADM_DEVICE ]; then
/usr/sbin/dumpadm -u || exit $SMF_EXIT_ERR_CONFIG
fi
fi
}
#
# Write a unique id into this kernel image; this will be included
# in the dump header and panicbuf of any crashdump of this image.
#
fi
# get the fstype of root
fi
#
# Add physical swap.
#
#
# Check and remount the / (root) file system.
# For NFS mounts, force the llock option on.
#
readvfstab / < $vfstab
mntopts='remount'
# if root dev is a read-only metadevice then fail
exit $SMF_EXIT_ERR_FATAL
;;
esac
fi
#
# Check and remount the /usr file system (formerly mounted read-only).
# Unless root is zfs, in which case we've already mounted /usr read-write
#
if [ "$rootiszfs" = 0 ] ; then
if [ "$mountp" ]; then
exit $SMF_EXIT_ERR_FATAL
if [ "x$mntopts" != x- ]; then
else
mntopts="remount"
fi
# if usr dev is a read-only metadevice then fail
;;
esac
exit $SMF_EXIT_ERR_FATAL
fi
fi
fi
#
# present when a SunOS 5.5 (Solaris 2.5) or greater client is being
# administered by a SunOS 5.4 or less host.
#
if [ "$mountp" ]; then
fi
#
# Mount the fd file systems if mount point exists.
#
fi
if [ -f "${UPDATEFILE}" ]; then
if [ $? != 0 ]; then
cecho ""
cecho "WARNING: Automatic update of the boot archive failed."
cecho "Update the archives using 'bootadm update-archive'"
cecho "command and then reboot the system from the same device that"
cecho "was previously booted."
cecho ""
exit $SMF_EXIT_ERR_FATAL
fi
rm -f $UPDATEFILE
if [ `uname -p` = "i386" ]; then
if [ $? = 0 ]; then
exit $SMF_EXIT_OK
fi
if [ "$boot_prop" != "true" ]; then
cecho ""
cecho "WARNING: Reboot required."
cecho "The system has updated the cache of files (boot archive) that is used"
cecho "during the early boot sequence. To avoid booting and running the system"
cecho "with the previously out-of-sync version of these files, reboot the"
cecho "system from the same device that was previously booted."
cecho ""
exit $SMF_EXIT_ERR_FATAL
else
exit $SMF_EXIT_OK
fi
fi
fi
exit $SMF_EXIT_OK